summaryrefslogtreecommitdiffstats
path: root/jjb/verify-releng
diff options
context:
space:
mode:
authorAric Gardner <agardner@linuxfoundation.org>2015-06-22 16:33:38 -0400
committerAric Gardner <agardner@linuxfoundation.org>2015-06-22 20:47:30 +0000
commit556536cdbfcca74f7556a050c5399ae71e580f7a (patch)
tree4a8c1f23b9750e52dc34ddb014f9e7e470e2c4eb /jjb/verify-releng
parent9968e4a011161fddede922e4b6361c832034922c (diff)
Ensure that only ASCII characters make it into the jobs JIRA:OCTO-105
Change-Id: I64d5d82de154c7d7fb9ca44e76d8d2a67b3ec034 Signed-off-by: Aric Gardner <agardner@linuxfoundation.org>
Diffstat (limited to 'jjb/verify-releng')
-rwxr-xr-xjjb/verify-releng17
1 files changed, 17 insertions, 0 deletions
diff --git a/jjb/verify-releng b/jjb/verify-releng
new file mode 100755
index 000000000..6e980e79b
--- /dev/null
+++ b/jjb/verify-releng
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+source /opt/virtualenv/jenkins-job-builder/bin/activate
+jenkins-jobs test jjb/
+
+
+#test for non-ascii characters, these can pass the test and end up breaking things in production
+for x in $(find . -name *\.yml); do
+
+ if LC_ALL=C grep -q '[^[:print:][:space:]]' "$x"; then
+ echo "file "$x" contains non-ascii characters"
+ exit 1
+ fi
+
+done
+
+echo "all .yml files are ASCII only"